(*====================================================================
    File rDBConst.pas

    Components library for Delphi and BCB++.
    Resources for DBAware-components.

    Copyright  1998-2008, PSTG
    http://www.polesoft.ru
    mailto:support@polesoft.ru

    This library is free software; you can redistribute it and/or
    modify it under the terms of the GNU Lesser General Public
    License as published by the Free Software Foundation; either
    version 2.1 of the License, or any later version.

    This library is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
    Lesser General Public License for more details.

    You should have received a copy of the GNU Lesser General Public
    License along with this library; if not, write to the Free Software
    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA

======================================================================
$Id: rDBConst.pas,v 1.3 2008/09/05 09:00:19 savchenko Exp $
======================================================================*)
unit rDBConst;

{$I POLARIS.INC}
{$R RDBCTRLS.RES}

interface

resourcestring
  RDBN_Custom = '';
  RDBN_Post   = 'Save changes';
  RDBN_Cancel = 'Cancel changes';
  RDBN_Delete = 'Delete current record';
  RDBN_Edit   = 'Edit current record';
  RDBN_Insert = 'Delete record';
  RDBN_Refresh= 'Refresh data';
  RDBN_First  = 'Go to first record';
  RDBN_Prior  = 'Go to previous record';
  RDBN_Next   = 'Go to next record';
  RDBN_Last   = 'Go to last record';
  RDBN_View   = 'View current record';
  RDBN_NULL   = 'Erase field';

  RDBA_Custom = '';
  RDBA_Post   = '&Save';
  RDBA_Cancel = '&Cancel';
  RDBA_Delete = '&Delete';
  RDBA_Edit   = '&Edit...';
  RDBA_Insert = '&Insert...';
  RDBA_Refresh= '&Refresh';
  RDBA_First  = '&First';
  RDBA_Prior  = '&Previous';
  RDBA_Next   = '&Next';
  RDBA_Last   = '&Last';
  RDBA_View   = '&View';
  RDBA_NULL   = 'Er&ase';

// don't localize
  srFilterKey     = '\Filters\';
  srFilterValue   = 'FilterExpression';
  srDatabaseValue = 'Database';

// don't localize
  srFixedColsKey  = 'FixedCols';
  srRowSelectKey  = 'RowSelect';
  srEditingKey  = 'Editing';
  srDefaultRowHeight = 'DefaultRowHeight';
  srFieldsSubKey  = '\Fields';

  srChangesAfterRestart = 'The changes will activated after program restart!';

  srSQLIBSysDate = 'SELECT CAST("NOW" AS DATE) FROM RDB$DATABASE';

  trdbtreeEqualsField = 'ChildrenField and ParentField must be different.';

  trdMaxLevelError = 'Range of MaxLevel property values is -1..32767.';
  trdDictionarySetError = 'Missing parent component.';
  trdMaxLeveling = 'Maximum value of level is reached.';
  trdBookmarkError = 'Invalid Bookmark ''%s''.';
  trdBookmarkRoot = 'Node has childs.';
  trdConnectedError = 'SourceFieldName and ConnectedFieldName are needed for relation.';
  trdNodeNotFound = 'Node not found.';
  trdActiveItem = 'Index (%d) out of range (%d).';

  srLocateDenied = 'Search is not available.';
  srFirstLocateNeed = 'First search is needed.';
  srNotFound = 'Substring ''%s'' in field ''%s'' not found.';
  srFieldNotFound = 'Field ''%s'' not found.';
  srNoLocatingString = 'Searching string not entered.';

  srBDEErrorTitle = 'Database error:';
  srBDEErrorDesc  = 'BDE error %d (category: %d, code: %d): %s';
  srSQLErrorDesc  = 'Server error %d: %s';
  srDBErrorTitle  = 'Data error:';
  srActiveDB      = 'Active databases: %s';
// DBX before Delphi 7.1
  srSQLServerError = 'SQL Server Error: %s';
  srBDEGeneralSQLError = 'General SQL error.%s';

  srDBUserName = '(DB)';
  srOSUserName = '(OS)';

  srConnectNoDB = 'No database aliases.\nCall database administrator.';
  srConnectDatabase = '&Database:';

  srGridImage = 'View image';
  srGridMemo  = 'View memo-field';
  srChoiceImg = 'Choice image';

  srRecord = 'record,records,records';
  srDeleteMultipleRecordsQuestion = 'Delete %d %s?';

implementation

end.
